Package org.opensaml.soap.wspolicy

# Interface PolicyURIsBearing

public interface PolicyURIsBearing
Interface for element having a `@wsp:PolicyURIs` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WSP_POLICY_URIS_ATTR_LOCAL_NAME`
The wsp:@PolicyURIs attribute local name.
`static final QName`
`WSP_POLICY_URIS_ATTR_NAME`
The wsp:@PolicyURIs qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getWSP12PolicyURIs()`
Get the attribute value.
`void`
`setWSP12PolicyURIs(List<String> newPolicyURIs)`
Set the attribute value.

## Field Details

### WSP_POLICY_URIS_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String WSP_POLICY_URIS_ATTR_LOCAL_NAME
The wsp:@PolicyURIs attribute local name.

See Also:
  - Constant Field Values

### WSP_POLICY_URIS_ATTR_NAME

@Nonnull static final QName WSP_POLICY_URIS_ATTR_NAME
The wsp:@PolicyURIs qualified attribute name.

## Method Details

### getWSP12PolicyURIs

@Nullable List<String> getWSP12PolicyURIs()
Get the attribute value.

Returns:
  return the list of attribute values

### setWSP12PolicyURIs

void setWSP12PolicyURIs(@Nullable List<String> newPolicyURIs)
Set the attribute value.

Parameters:
  `newPolicyURIs` - the new list of attribute values